ExceptionMessages (Apache OpenNLP UIMA Annotators 1.9.5 API)
Date: 2026-06-18

opennlp.uima.util

## Class ExceptionMessages

- java.lang.Object
- - opennlp.uima.util.ExceptionMessages

-     public class ExceptionMessages
      extends Object

  This class contains constants for the exception messages in the exception massage catalog.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FEATURE_NOT_FOUND`
    `static String` | `INVALID_DICTIONARY_FORMAT`
    `static String` | `IO_ERROR_DICTIONARY_READING`
    `static String` | `IO_ERROR_MODEL_READING`
    `static String` | `MESSAGE_CATALOG`
    `static String` | `PARAMETER_NOT_FOUND`
    `static String` | `TYPE_NOT_FOUND`
    `static String` | `WRONG_FEATURE_TYPE`
    `static String` | `WRONG_PARAMETER_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExceptionMessages()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MESSAGE_CATALOG

          public static final String MESSAGE_CATALOG

      See Also:
        Constant Field Values

    - #### IO_ERROR_MODEL_READING

          public static final String IO_ERROR_MODEL_READING

      See Also:
        Constant Field Values

    - #### IO_ERROR_DICTIONARY_READING

          public static final String IO_ERROR_DICTIONARY_READING

      See Also:
        Constant Field Values

    - #### INVALID_DICTIONARY_FORMAT

          public static final String INVALID_DICTIONARY_FORMAT

      See Also:
        Constant Field Values

    - #### PARAMETER_NOT_FOUND

          public static final String PARAMETER_NOT_FOUND

      See Also:
        Constant Field Values

    - #### WRONG_PARAMETER_TYPE

          public static final String WRONG_PARAMETER_TYPE

      See Also:
        Constant Field Values

    - #### TYPE_NOT_FOUND

          public static final String TYPE_NOT_FOUND

      See Also:
        Constant Field Values

    - #### FEATURE_NOT_FOUND

          public static final String FEATURE_NOT_FOUND

      See Also:
        Constant Field Values

    - #### WRONG_FEATURE_TYPE

          public static final String WRONG_FEATURE_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExceptionMessages

          public ExceptionMessages()

Copyright © 2026 The Apache Software Foundation. All rights reserved.